Export (0) Print
Expand All

Support for .NET Framework Versions

banner art

[Applies to: Microsoft Dynamics CRM 4.0]

The following describes the support considerations for custom code written with Microsoft Visual Studio 2005 or 2008 and the Microsoft .NET Framework Version 3.0.

Any Web service client created by using Visual Studio .NET 2005 or 2008 and the .NET Framework version 3.0 that calls the Microsoft Dynamics CRM Web services is fully supported in Microsoft Dynamics CRM. The use of ASP.NET AJAX is supported.

Any .NET assembly that is created with Visual Studio .NET 2005 or 2008 and the .NET Framework version 3.0 for use in Microsoft Dynamics CRM as a Microsoft Dynamics CRM plug-in assembly or as a Microsoft Dynamics CRM custom workflow activity is supported.

Any visualization (chart) that is created with .NET Framework version 3.5 is supported.

For backwards compatibility, these endpoints can be used with earlier versions of the .NET Framework as follows:

  • The 2007 endpoint supports .NET Framework 2.0
  • The 2006 endpoint supports .NET Framework 1.1

See Also

Concepts


© 2010 Microsoft Corporation. All rights reserved.


Show:
© 2014 Microsoft